local config = PetJournalEnhanced:NewModule("Config","AceEvent-3.0")



function config:OnInitialize()
	local options = {
    name = "PetJournal Enhanced",
    handler = self,
    type = 'group',
    args = {
        showPetCount = {
			order = 1,
            name = "Show unique pet count",
			type = "toggle",
			set = function(info,val) 
				PetJournalEnhancedOptions.showUniquePetCount = val 
				self:SendMessage("PETJOURNAL_ENHANCED_OPTIONS_UPDATE")  
			end,
			get = function(info) return PetJournalEnhancedOptions.showUniquePetCount or false end
        },
		showMaxStat = {
			order = 2,
            name = "Show pets specialization",
			type = "toggle",
			width = "double",
			set = function(info,val) 
				PetJournalEnhancedOptions.showMaxStatIcon = val 
				self:SendMessage("PETJOURNAL_ENHANCED_OPTIONS_UPDATE")  
			end,
			get = function(info) return PetJournalEnhancedOptions.showMaxStatIcon or false end
        },
		colorBorders = {
			order = 2,
            name = "Color pet boarder according to rarity",
			type = "toggle",
			width = "double",
			set = function(info,val) 
				PetJournalEnhancedOptions.showColoredBorders = val 
				self:SendMessage("PETJOURNAL_ENHANCED_OPTIONS_UPDATE")  
			end,
			get = function(info) return PetJournalEnhancedOptions.showColoredBorders or false end
        },
		colorName = {
			order = 2,
            name = "Color pet names according to rarity",
			type = "toggle",
			width = "double",
			set = function(info,val) 
				PetJournalEnhancedOptions.showColoredNames = val 
				self:SendMessage("PETJOURNAL_ENHANCED_OPTIONS_UPDATE")  
			end,
			get = function(info) return PetJournalEnhancedOptions.showColoredNames or false end
        },
    },
}
	LibStub("AceConfig-3.0"):RegisterOptionsTable("PetJournalEnhanced", options)
    LibStub("AceConfigDialog-3.0"):AddToBlizOptions("PetJournalEnhanced","PetJournal Enhanced")
end

